## mirrormagic 1.3

=== Makefile ===
#
# Makefile fuer "Mirror Magic II -- McDuffins Revenge"
#

PROGNAME = mirrormagic

RM = rm -f
CC = gcc
# CC = cc				# for HP-UX and others

GFX_PATH = -DGFX_PATH=\"./graphics\"	# path where the graphics are
SND_PATH = -DSND_PATH=\"./sounds\"	# path where the sounds are
LEVEL_PATH = -DLEVEL_PATH=\".\"		# path where the level file is
SCORE_PATH = -DSCORE_PATH=\".\"		# path where the score file is
NAMES_PATH = -DNAMES_PATH=\".\"		# path where the names file is
# SOUNDS = -DNO_SOUNDS			# don't play any sounds
# SCORE_ENTRIES = -DONE_PER_NAME	# only one score entry per name
SCORE_ENTRIES = -DMANY_PER_NAME		# many score entries per name

# the XPM-Library is needed to build this program:
XPM_INCLUDE_FILE = -DXPM_INCLUDE_FILE="<X11/xpm.h>"

CONFIG = $(LEVEL_PATH) $(SCORE_PATH) $(NAMES_PATH)		\
	 $(GFX_PATH) $(SND_PATH) $(SOUNDS) $(SCORE_ENTRIES)	\
	 $(XPM_INCLUDE_FILE)

# DEBUG = -DDEBUG -g -ansi -pedantic -Wall
# DEBUG = -DDEBUG -g -Wall
DEBUG = -O6

# SYSTEM = -Aa -D_HPUX_SOURCE -Dhpux	# for HP-UX (obsolete)
# SYSTEM = -DSYSV -Ae			# for HP-UX
# SYSTEM = -DSYSV			# for systems without 'usleep()'
# INCL = -I/usr/include/X11R5		# for HP-UX and others
# LIBS = -lXpm -lX11 -lm
# LIBS = -L/usr/lib/X11R5 -lXpm -lX11 -lm # for HP-UX and others
LIBS = -lXpm -lXpm -lXpm -lX11 -lm	# triple "-lXpm" because of Xpm error

# CFLAGS = -O2 $(CONFIG) $(SYSTEM)
CFLAGS = $(DEBUG) $(CONFIG) $(SYSTEM) $(INCL)

OBJS =	main.o \
	init.o \
	images.o \
	events.o \
	tools.o \
	screens.o \
	misc.o \
	game.o \
	editor.o \
	sound.o

all:	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LIBS) -o $(PROGNAME)

.c.o:
	$(CC) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)

## mirrormagic 2.0.2-1

=== debian/changelog ===
mirrormagic (2.0.2-1) stable; urgency=low

  * Initial release

 -- Andy1210 <andy1210@gmail.com>  Thu, 31 Aug 2010 19:08:23 +0100

=== debian/control ===
Source: mirrormagic
Section: user/games
Priority: extra
Maintainer: Andy1210 <andy1210@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsmpeg-dev
Standards-Version: 3.7.3

Package: mirrormagic
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Arcade style game for Maemo5...
 A game like "Deflektor" (C 64) or "Mindbender" (Amiga) 
XB-Maemo-Display-Name: Mirror Magic
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?p=803323
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAAEgBckRAAAACXBIWXMAAGJtAAA9hAExenxgAAAK
 T2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJCi4AU
 kSYqIQkQSoghodkVUcERRUUEG8igiAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXX
 Pues852zzwfACAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAHvgAB
 eNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCdmCZTAKAEAGDLY2LjAFAt
 AGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3
 AMDOEAuyAAgMADBRiIUpAAR7AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dX
 Lh4ozkkXKxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G/yJiYuP+
 5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUAoOnaV/Nw+H48PEWhkLnZ2eXk
 5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7iJIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd
 0yLESWK5WCoU41EScY5EmozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA
 4vcAAPK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCBKrBBG/TBGCzA
 BhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv1EAdNMBRaIaTcA4uwlW4Dj1wD/ph
 CJ7BKLyBCQRByAgTYSHaiAFiilgjjggXmYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5
 h1xGupE7yAAygvyGvEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXACTYEd0IgYR5BSFhM
 WE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIxh1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQ
 AkmxpFTSEtJG0m5SI+ksqZs0SBojk8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+Io
 UspqShnlEOU05QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgXaPdp
 r+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+YTKYZ04sZx1QwNzHrmOeZ
 D5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61Mb
 U2epO6iHqmeob1Q/pH5Z/YkGWcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY
 /R27iz2qqaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxrqpaXllir
 SKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acKpxZNPTr1ri6qa6UbobtEd79u
 p+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VHDFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6Vh
 lWGX4YSRudE8o9VGjUYPjGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1
 mz0x1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l1rutu6cRp7lO
 k06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6TvZN9un2N/T0HDYfZDqsdWh1+c7Ry
 FDpWOt6azpzuP33F9JbpL2dYzxDP2DPjthPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3I
 veRKdPVxXeF60vWdm7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nvnl+F30N/I/9k/3r/
 0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5QRVBj4KtguXBrSFoyOyQrSH355jOkc5p
 DoVQfujW0Adh5mGLw34MJ4WHhVeGP45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5q
 PNo3ujS6P8YuZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxapLhIs
 OpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgqTXqS7JG8NXkkxTOlLOW5
 hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqohTZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQ
 rAVZLQq2QqboVFoo1yoHsmdlV2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9
 rGo5sjxxedsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWFfevc1+1d
 T1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavEuWTPZtJm6ebeLZ5bDpaql+aX
 Dm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7
 vPY07NXbW7z3/T7JvttVAVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3S
 PVRSj9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92HWcdL2pCmvKa
 RptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLTk2fyz4ydlZ19fi753GDborZ752PO
 32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21
 e2b36RueN87d9L158Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L96fynQ89kzyaeF/6i
 /suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bCxh6+yXgzMV70VvvtwXfcdx3vo98PT+R8
 IH8o/2j5sfVT0Kf7kxmTk/8EA5jz/GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADq
 YAAAOpgAABdvkl/FRgAAFG9JREFUeNpsy6ENwlAAANH7CQtQRUiZBGbAwgKo+lokCg/1JCxQVxIS
 kp8G0Q3oAAgEJdhDfMudfkHlbyoDKCC4AWKM9Qhgejb068D3NGb+2Zm/Vkmw1EmpXdsID7NCUWme
 Cw/VUWYKd9maxOXaShr2vLnBDwAA//90zyEKwmAAQOE32TFWrLaBwQuseAeZweZA1oYnGDuDrAie
 wCDWgayv7QhGw4rgM/xWL/D4XvRX1QcNggOoJnm+hWUdCmOLpzlez5kgs/cHI1wvepnKjN3rDg2y
 aowVqsPG8Hn5hTUtjnu5IQ+kA57wBQAA//9EkbFLAnEAhb8LIxqykqamggjCMYQcQqGpoL+g4Vpq
 dROyXYLaGlIIolwj8DY7coiGA8PlgkiDG0zEwAIjuCh4Db+jxjc83sf3kIQHdP8hiKo6B5Ujba7r
 YtvbJtwbal/QFbyMgQYXE5IkQee65qj9nNRwOI4lidQBhN8EjwPmFuNQnlrirR3jK1Og0bzl6Phk
 gU0qpEgb57YEWt06FexIjlNVqZSOyBraqGmXfQlkFggTfAaTD/XWTdK7PKO4nIXmK/Rj0Gv94K+M
 Gt1r/F1R2MsHxczh/EdnWndXCdZz75ZXmZH/1O+Fcc2OWBYAv3STz0vTcRjHX59v6viCxqaoK6Eu
 HerWSLFDB8mIIMr/YAqBNztEQdl1DdG8WKCYiK0t1IEmiCIISfNgEZWHXMggRpCGfHFTXL907w6f
 FXTwgffpged5eL/ez+HsDqsVYOl/S9sEyoOGwffX1mw2S3t7Bw6ADxqBhtKMFwBHgd/wo1OiUCgo
 Eona7lsr37K1ZGN1c0taqtdci10oybt9L6V83mVnx4VzPaJmWv9OSk+iwpc6ebPVkqTBJxMqfkIS
 NmUApzJcCPVKJiw9dkTiUYjqqx6xeJzhdTflnJYx3QIQjb2CLgnUN/pOqr0v/dzf0+hYUsFgUuWB
 GXFZokMWZOiBRMiGpn/exmfs6YT8/g3BKwXOvJz235Qos6QdtwJDs/3lW1fgWSzG3fcnyeWCgGE7
 /bnm+DUM+xgL7nsAcuebtjLpN3PZbiLfpshUhmEcqPgIC9fvwO5DnFYolqB4nqd4YlzRs9EqFhED
 dCE2WUWMAKmSEGUAxhgzMLne8vrS0O6ND7VMJX654criwdryMU5sHyH5/KuFdtHPH7bKNqbmMAzj
 v+ecE52OOjkfTgsz85IP3mvVMCzMMB+MYfPFyywf+MBmXmaU2ITG1gczL2GGImwY0VETkyNZRatw
 VEeJap3Ty1bOy//24f+XxPX12XPd9/Pc13XdSkRwG8IaAKYAY/6vovVAQRvwGNBAhYccbjc06XK5
 SEhI4PDhDAB9bsOQBDiGhyFQABAPbAWWgvwE0YaQA/MA4uKcgxeViFBpvEDgjBl2zYEaYBYAViv0
 98v/TOEDVtjtCr+fYDD43e0ujauoEIqKXmqBQMA8WKDXKFAP2IAw9PRBtDJanysCbbV4n07H5ozh
 WVYP68v/1Lxz9zZ1jTGkOHJYtsU12LxSxtDSsgUFWCwQDhCpORlbWW+wh0FuqJ5vFiuO1Bja3www
 Y7XOcCXvPGaLlbLyam1ybF1ackrtBAa4qqwCNgRQSkRIykaFNS77e9nUMgLCpUAvJG6AJRPhSjV0
 NAN28ORCU6mLr62dNDU/5mbhYhrnbCQQioAbXEzdzXJ3N+NwADnGFyWd4EONl2khD1DMMTQO3e2C
 6udI/nsIhsGTqfG6rJg6Tx+h0HH27i3C728GNEZP9hGdvgxvgy4vZgP7gAEmISIknxCmHRVhj27Y
 htf2SbE7hLW5ulcv5F2Tq9euy/Ejq8QR8/n33hB4oS9EzpevLBScBwQy5K88VCJCfCYoIH/BuqUL
 7YXF4Ykg9lhu3conFGqluryWe/41NI6bD5eArt9zrAAigap3EJUEwMO1sIq/ZToEUf2dD0teVI1M
 be/opKakitubC2ga36zvQROPiOIBU8mhFRsjgHv42C4OI4kNdALbAHQVGTB5vd5TT560pXo+v6f/
 rXNq7rOTHwGhUg92XvGSdM4BWYSwEQGMJII7ii/pcXyKDw2h2//vC3w+HwezThMdqCd9ZqmYRwWp
 eBBP4oofyn0/Vlq+dZ3dmW3e0fE9KLUlTswWURaTSXq6A7R5u8tMJrVouCF/UWLmsVEWYRj/zW67
 28JuS7eF0kJDUVtFUbmDBGJMoIohhkQ5ogZQDEEiCiREI0hRMCEehWCRyiHEJigGkaOlQLGgVlvo
 RdttC922u+323O5BS9kt3WP8Y78eFDDh/WfyTeZ9n3nnnXmeme/Rde0RTRQO+XgG0D18rAS4CFRD
 8QiY2T+1VuBzZaKFhYVs25ZKfHw8R48eeSDZDTd9f3CAFGAWzOiDXCBMAG3/43wPgDbYvDdszH3+
 c4AEmB+AN63AgcFlXqXX6x8OUATbgYPD4lUMB3AHKYoO6NwxGHyX0Wg8cuXK5SWxsbGDACHKXg0B
 NJBqCfZ/OSTereEAGqV9Gaqorgb4vaSk9OPKyhrKy3W/NjXFftPYGNQEUTy04oAPZCwwIVg7QaN5
 jJgwUd2VFoF/ksCeF2BE/Dusq1Hx4oE9zk0ul/taXd14l93KxXw7u1LfL/R4NC8IAXq9G1UykDyk
 miNBNAMFEJ8Hcb1dYWopJW1dPYQmaLg7UtDsHcHpH3azSUpDSWPj+G5HG6cuuPl27RpCQ/2zIyI8
 mRER7uBJ7tcCUxIEvHA7GeQ0RYGA2vS4XLeB+Y+viMLb40MbqaXPtouan7QE5q6l1VLPxYI77P9o
 Be3WOMZq2kg/84G933+AKpLrQXoBM4bo3dLrDJKEb+9zG0ctunsIX08AlQSv28Okt3bQmbSV/BOZ
 2FqbqLzpgUSEocchMw6vZf2n321A4AM2i+lKBkLFvBAV5s5bWP0hYLZAhAaSZsNncjWuFgedbsni
 J2YRuXoL5w4f5LarCUubnTTDfsFWFkkpssRSKZkFHANZiggBUIfwerOdExoBZldQ0UdPhMXLwNIO
 y7sO05sDq7bBhwt7yTx0CL/fzB/nXJTqt0ACkskghFy2IAtyzyl7GVBJCVE6MlpawawFsoDrvKa7
 RkZAB3419J6E7KOwf9p1jmeewuttIDfXxenLG7CeOcuTMcF7DLM5XloQlFbCFQCVCllkIlLEAl8B
 zcQBZ1fu5cJdO+T9C8XnIdlXQvY/ZpyOevLz3Zw8uQvoAzTExwBWYCY47gC1QDVHAFRCgOMWoTJ8
 IK12KQW3ewnPKoeSvaBqKeZmYwd19VZqaio4dmwPUvYq59mPOgkxfWrwooAF+I0r9PEugCoQQMyf
 io0mJQOF2K63EFaWCnpbKdbWNiqrLTRX53DgwPEh5CqBsVx6ZR+RBgR+BAEE8NIAVWhVgJ/YRXPo
 Ix+kFACeS5vnXQ20+ygx1lNba6KlLJt0Xc4D+DIARJO37pMHs2nDHTA6IasArfxRYM0bD17CamoT
 q/KL/sZWb+JGWTXp2mzwDnUdqQi+UNhpJmR+cb/gSE+Uopdz6e6bkibad2w0de/E6HobT8lp/lQd
 5OfoNNB0gl8Ed5kAwjrB74DzMy5B+IJgJ8BNYJ3y+wBCCFPuIHEQAU1Xqyow9y3HXvULl+PyyUox
 gi4FqoDnWckbTCSB7TgUKXs6cQFpXw8hhfiHarK9/HpZdJ3FSUNdEc4cV3nO9py/yp+qXI8TOA+Y
 EewklBD6MAImwEMiyTTetzbzpJLBoMVUGqukzWajqshC2ZLmKRXzqnbTDoxRJtYN6JS3w1igB7iF
 mmi4sDT6XoDJMYB9EKCiooLQ0FBx7VqJNBgiRLkum86DBps+3Ev91XGUVXbQZAqwcZxaOlo0tJqi
 qGvsIDFpVINxnwvTGN99SaQMZVOtVotKgBA+8f3CjPkmpyG36Yae2Md6hCPcK7u1Abq0ks5wqXeO
 CNCu9q4Z/WzUqz6NWkoEajlQ5XvsP9rMPTjq6orjn9/ub7OPPElCEpYECDDKo9XyUstDbAXboTgw
 dNQq2lIfUy1Tra2tY31UqtOpre2gTuuIFsVatKhRBGt5KOEhDkqAsMGQkOxmd5N9vze7m+zj9+sf
 vxsSSoK0U8/Mncz8ZnPvOfd877nf873n9GgjbUD0Uomxe7ax7HY0BnuWMdhEJYmDqwwmF8b4x5H0
 Z8j27t1LSUkJVquVO++8C6t12JuLpUX/jb0KnHPYxgOXATM1iWJSHNrSsET/f1pQ/j/N8x5w/VgL
 1IkxG7DD7C5o9gF6WClpTTefAZv/B5Y8ZgaMYlIjfCyK8soLzFN+sbslD6+rk9Eu7KOjO38SUMvL
 y6s/+uhD7r33PkbSxXMCUEcfvzKBqtN47tAleKF4v7hP0Hb97A3ig6J9wF/PdX4DoNpsbV/dsuUV
 4vFwsK6uKjJxYjWyXDhnnIWQYfT1HDootIBqhOKZ0FGlOTFD49SYNNUNmfp6varT0+1yYgQaKnWg
 RxN3CxKFLJBWUEtKKK+uw+v30ZHq59dQXWs2G3C7JRoa1gEvtLefpqXlCNmcGZDp7jpMONI3rqxs
 QLVY8lslqbD2vCrUIo1aochp2F09AI95YI4FuFQErGocHBkoVVUcwCU3PsIl0Q94/75uGhYrRCss
 5J15epsVjm6PsuT+l5m9ZB3PeJP89BvzeNtaz5oJExh46vc4rbV0bH8Ht09B0ukI93qYMe0Dbli3
 C6AVWCE64+zIfk5SVZWyN4dTnJgK6nyJGFAhHJWAHRWTfnBtzDXXq8EJHZABpRTU4uduud28doXV
 XNwAoYO4Dv4GuTZLaXU1/fY8iQ6JZDTJINMoqr6SBesehcrpANgKBfwHD+A83UPOUIY82Ept6WHm
 TT6GdUqUVKaY4ktTQx6/JknqbcNvBSID858aDgCNYaPXoaVeeNt1JUQTWhkhKdiK+Gvvld5unMOa
 DicUzTAzfoEZuVxH1quQ7TWR6PSQjYCproTKuS+Trb0afzpKMBjG1+ckr+pxdjroOdXDPd97bf/c
 Nf134Gdn+EzVjKp5YZRjOn709Cb2fLisx5mcbAduAzxfGICigixxd5GejeYyfL0hsDm1racE8KAi
 U7h+WWbS41P3GGbbV2GURQtWqXGBfc9CvLSU1a8cgrLLOHriJJFInEwiRCyVJ9jbhd6xjUPpRXv2
 Tn7ousSTmrqttkpwGUtuemnza9veuWUSeqNW64zAPuLYKVdVIaQNBaDXg6piMcqkTEVaitoc4A8B
 VYBFROnXxoqlcOM8eLcdTgVhaiXYE3DGh1Z8K2DXi3BdI9iOH6HT7sZksRAKJPAGgugCTXgMVtyz
 XqJVMtN9BviblmVrhcfiiVkzizcUDmXq9YtaPhadhgnYodVEVRV9k04HisI4owGPP4qps08wKRmY
 Lo7Ni+IbsHAp3PU0NPfCL96HxlooNcCu00CXBq3NL8IP50DafYxNm1qpq6silcrS1eUnl/uEYDDK
 6288SDCwANgMRRPg5jWwXuMvnj9Y0wZA6dcjF42AhzLKTawomCSQCwoOJGZKelDHi188B4QJCVag
 pbeCOf4Yx9Q8VBRrc0cygAvuvxv+tArInuLZ5z+jotyM2SzT2dlOINBDKhXh3Xevx+NZLfTidsDM
 +MYyFiwE1yC0dWmkPGeGwz5gl8i+ARjUWuoh34cykCnk4bBN1M5pwJua2CSojG3I+V0quLqY5WkF
 Rzekc2AYgAe+Bes3ZAEHr25tJZPOMq5YRzzShsMRIBLJsn//DTgcK8RMe8RBMQEqubyaSBY4KhmZ
 brAwqZAAJSYwL4kOsIkMLkLANaKcaAGoKs3ocU228v1QElIR8XSgAu08CDSpqtSUsMGSDSoTi9E1
 jodZU+CGBvjJ1/tB6WP3P7txeMJYTAZIHafD5qXLW0vLiRV0nVk1IvFuAWid2DETik7aefDHD61d
 9OSj8jXzLR/Y3Lh9TvFi1QLspArYCOw77yKb/5QWpdnA8pzCjel+7rT1atVmceV+fn7FM3x71TsH
 TKU1L0Pglabjh2qmTVzkn1oChuRxTpyJ0mH3o0gyWe9nZPqOcajoCj6NrcT9j4VauT3HfOKwFIvr
 0Ad4PwYWw+fc2r6R3a9CoBeYChwXdPG8N2MRQOVjwx90EkSyTFlZY7/nwZm3/HLBpCMYrcA4WSzG
 fphY1X7y+Fc8gSyR+AH6Bw3EPW2YvTtpji3kX7oHSIyrRckYYbvY8POY/8gAPED/ATAuHRY02+DP
 T2gS9gUCkAGi/hFfo6D+Tupx95AtN0AqAZnBWiq8fhJZM59ntiyNpi9HyXxKMB0h2BekrO0ENvcV
 NFmOaoJhQcAvPprzQ52tSZDYFBAGApdr/bs6rAqvfwM4BY88MWoAF6dUe5c/Gbfvfbij8Cx9mTso
 Uj4iHPHiD8fQ7dXjHHTy93u2EvlmCHrFqTKI0psfAfXBEQqoZVieYhsRHt7SSGF+Atou0KJ0ntXv
 z4PQGPYYsOHk6TgnT9qxGPwk43YC0QSxY/0kAnFef+51wpeENZ32iKas0ilS3shabmYrbWJT5+IG
 6jkoAizSUEKUfhr5GlfTzThVQGs0CwFXjQ6h/7CrgE+cTifNzc1Ikhag3enH5fKSjKQHk5bUrTft
 /s5bW407vgvht0iKXdWLp+16wEEj9wLPj8BMv0DOUJaKgQgqfvJsA16QtNbti+zSYTYqj/FML0mS
 1KDT6Ta7XT3LfP4gzrB0ZoIU2hTpuPbp9249jE9dy6w4C4vdBlSPQjYmk++XGXCrDPZmUaIogyGY
 hcRAHwVFVtSCV0+624BeBskAic4s+ZCiVEwx+VxleQ49Xs2OxiS6Mej9efbhGIDr6OigpqbGbTIW
 LXcFsqsTQc/ya+oj6xc0eJiyrGnLdt1ASW5jtT/jK1qXSRionZ34rZLXh/vaav7o7M4RykRIxAt1
 IT/87D0DeDDA4PhkbwmuzjKkvHxANuf/EoqlN+aUQl1DrGyHP5f17J4emaAW2ApsuejXoC/7uenL
 tn8PANuQcebIETx4AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) sdl
	#docbook-to-man debian/mirrormagic.sgml > mirrormagic.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mirrormagic.
	# $(MAKE) DESTDIR="$(CURDIR)/debian/mirrormagic" install
	
	cp "$(CURDIR)/mirrormagic" "$(CURDIR)/debian/mirrormagic/opt/mirrormagic/"
	cp "$(CURDIR)/data/apstart" "$(CURDIR)/debian/mirrormagic/opt/mirrormagic/"
	cp -r "$(CURDIR)/data/graphics" "$(CURDIR)/debian/mirrormagic/opt/mirrormagic/"
	cp -r "$(CURDIR)/data/levels" "$(CURDIR)/debian/mirrormagic/opt/mirrormagic/"
	cp -r "$(CURDIR)/data/music" "$(CURDIR)/debian/mirrormagic/opt/mirrormagic/"
	cp -r "$(CURDIR)/data/scores" "$(CURDIR)/debian/mirrormagic/opt/mirrormagic/"
	cp -r "$(CURDIR)/data/sounds" "$(CURDIR)/debian/mirrormagic/opt/mirrormagic/"
	cp "$(CURDIR)/data/mirrormagic.desktop" "$(CURDIR)/debian/mirrormagic/usr/share/applications/hildon/"
	cp "$(CURDIR)/data/mirrormagic.png" "$(CURDIR)/debian/mirrormagic/usr/share/pixmaps/"



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mirrormagic 2.0.2.0deb1

=== Makefile ===
#=============================================================================#
# Makefile for Mirror Magic                                                   #
# (c) 1994-2000 Holger Schemel, info@artsoft.org                              #
#=============================================================================#

#-----------------------------------------------------------------------------#
# configuration section                                                       #
#-----------------------------------------------------------------------------#

# specify your favorite ANSI C compiler
CC = gcc

# specify path to X11 on your system
# if undefined, use system defaults (works with Linux/gcc/libc5)
X11_PATH = /usr/X11R6

# specify directory for read-only game data (like graphics, sounds, levels)
# default is '.', so you can play without installing game data somewhere
# RO_GAME_DIR = /usr/games
RO_GAME_DIR = /usr/share/games/mirrormagic

# specify directory for writable game data (like highscore files)
# default is '.', so you can play without installing game data somewhere
# RW_GAME_DIR = /var/games
RW_GAME_DIR = /var/games/mirrormagic

# uncomment this if your system has no joystick include file
# JOYSTICK = -DNO_JOYSTICK

# choose if you want to allow many global score file entries for one player
# default is 'MANY_PER_NAME'
# when installing the game in a multi user environment, choose this
# SCORE_ENTRIES = ONE_PER_NAME
# when installing the game in a single user environment, choose this
# SCORE_ENTRIES = MANY_PER_NAME

# specify paths for cross-compiling (only needed for MS-DOS and Win32 build)
CROSS_PATH_MSDOS=/usr/local/cross-msdos/i386-msdosdjgpp
CROSS_PATH_WIN32=/usr/local/cross-tools/i386-mingw32msvc

#-----------------------------------------------------------------------------#
# you should not need to change anything below                                #
#-----------------------------------------------------------------------------#

.EXPORT_ALL_VARIABLES:

MAKE = make

SRC_DIR = src
MAKE_CMD = $(MAKE) -C $(SRC_DIR)

all:
	@$(MAKE_CMD) TARGET=x11

x11:
	@$(MAKE_CMD) TARGET=x11

sdl:
	@$(MAKE_CMD) TARGET=sdl

solaris:
	@$(MAKE_CMD) PLATFORM=solaris TARGET=x11

solaris-sdl:
	@$(MAKE_CMD) PLATFORM=solaris TARGET=sdl

msdos:
	@$(MAKE_CMD) PLATFORM=msdos

cross-msdos:
	@PATH=$(CROSS_PATH_MSDOS)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-msdos

cross-win32:
	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32

clean:
	@$(MAKE_CMD) clean


#-----------------------------------------------------------------------------#
# development only stuff                                                      #
#-----------------------------------------------------------------------------#

backup:
	./Scripts/make_backup.sh src

backup_lev:
	./Scripts/make_backup.sh lev

backup_gfx:
	./Scripts/make_backup.sh gfx

dist-unix:
	./Scripts/make_dist.sh unix .

dist-msdos:
	./Scripts/make_dist.sh dos .

dist-win32:
	./Scripts/make_dist.sh win .

dist-clean:
	@$(MAKE_CMD) dist-clean

dist-build-all:
	$(MAKE) clean
	@BUILD_DIST=TRUE $(MAKE) x11		; $(MAKE) dist-clean
	@BUILD_DIST=TRUE $(MAKE) cross-win32	; $(MAKE) dist-clean
	@BUILD_DIST=TRUE $(MAKE) cross-msdos	; $(MAKE) dist-clean

dist-all: dist-build-all dist-unix dist-msdos dist-win32

depend dep:
	$(MAKE_CMD) depend

=== src/Makefile ===
#=============================================================================#
# Makefile for Mirror Magic                                                   #
# (c) 1994-2000 Holger Schemel, info@artsoft.org                              #
#=============================================================================#

.EXPORT_ALL_VARIABLES:

ifndef PLATFORM			# platform not specified -- try auto detection
ifdef COMSPEC
PLATFORM = msdos
else
PLATFORM = unix
endif
endif

ifdef X11_PATH			# path to X11 specified by top level Makefile
XINC_PATH = $(X11_PATH)/include
XLIB_PATH = $(X11_PATH)/lib
X11_INCL = -I$(XINC_PATH)
X11_LIBS = -L$(XLIB_PATH)
endif

AR = ar
RANLIB = ranlib

BMP2ICO = bmp2ico
WINDRES = windres

ifeq ($(PLATFORM),msdos)	# MS-DOS native compiling

RM = del

PROGBASE = mirror
PROGNAME = ../$(PROGBASE).exe

SYS_CFLAGS = -DTARGET_X11
SYS_LDFLAGS = -s -lalleg

else				# Unix or cross-compiling for MS-DOS and Win32

RM = rm -f

PROGBASE = mirrormagic
PROGNAME = ../$(PROGBASE)

ifeq ($(PLATFORM),solaris)
EXTRA_LDFLAGS = -lnsl -lsocket -R$(XLIB_PATH)
PLATFORM = unix
endif

ifeq ($(PLATFORM),unix)
PROFILING_FLAGS = -pg
endif

ifeq ($(PLATFORM),cross-msdos)
PROGBASE = mirror
PROGNAME = ../$(PROGBASE).exe
TARGET = allegro
endif

ifeq ($(PLATFORM),cross-win32)
PROGNAME = ../$(PROGBASE).exe
TARGET = sdl
endif

ifeq ($(TARGET),x11)
SYS_CFLAGS  = -DTARGET_X11 $(X11_INCL)
SYS_LDFLAGS = $(X11_LIBS) -lX11
endif

ifeq ($(TARGET),sdl)
SYS_CFLAGS  = -DTARGET_SDL $(shell sdl-config --cflags)
SYS_LDFLAGS = -lSDL_image -lSDL_mixer $(shell sdl-config --libs)
endif

ifeq ($(TARGET),allegro)
SYS_CFLAGS = -DTARGET_ALLEGRO -I$(CROSS_PATH_MSDOS)/include
SYS_LDFLAGS = -lalleg
endif

endif				# (PLATFORM != msdos)


ifdef RO_GAME_DIR		# path to read-only game data specified
CONFIG_RO_GAME_DIR = -DRO_GAME_DIR="\"$(RO_GAME_DIR)\""
endif

ifdef RW_GAME_DIR		# path to writable game data specified
CONFIG_RW_GAME_DIR = -DRW_GAME_DIR="\"$(RW_GAME_DIR)\""
endif

ifdef SCORE_ENTRIES		# number of score entries per player specified
CONFIG_SCORE_ENTRIES = -D$(SCORE_ENTRIES)
endif

CONFIG_GAME_DIR = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR)


CONFIG = $(CONFIG_GAME_DIR) $(CONFIG_SCORE_ENTRIES) $(JOYSTICK)
DEBUG = -DDEBUG -g
# PROFILING = $(PROFILING_FLAGS)

# OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
OPTIONS = $(DEBUG) -O3 -Wall			# only for debugging purposes
# OPTIONS = $(DEBUG) -Wall -ansi -pedantic	# only for debugging purposes
# OPTIONS = -O3 -Wall -ansi -pedantic
# OPTIONS = -O3 -Wall
# OPTIONS = -O3
# OPTIONS = -DSYSV -Ae				# may be needed for HP-UX

ifdef BUILD_DIST				# distribution build
OPTIONS = -O3 -Wall
endif

CFLAGS = $(OPTIONS) $(SYS_CFLAGS) $(CONFIG)
LDFLAGS = $(SYS_LDFLAGS) $(EXTRA_LDFLAGS) -lm


SRCS =	main.c		\
	init.c		\
	events.c	\
	tools.c		\
	screens.c	\
	game.c		\
	editor.c	\
	files.c		\
	cartoons.c

OBJS =	main.o		\
	init.o		\
	events.o	\
	tools.o		\
	screens.o	\
	game.o		\
	editor.o	\
	files.o		\
	cartoons.o

LIBDIR = libgame
LIBGAME = $(LIBDIR)/libgame.a

ICONBASE = windows_icon
ifeq ($(PLATFORM),cross-win32)
ICON32X32 = ../graphics/$(ICONBASE)_32x32.bmp
ICON = $(ICONBASE).o
endif


all: libgame_dir $(PROGNAME)

$(PROGNAME): $(LIBGAME) $(OBJS) $(ICON)
	$(CC) $(PROFILING) $(OBJS) $(ICON) $(LIBGAME) $(LDFLAGS) -o $(PROGNAME)

libgame_dir:
	@$(MAKE) -C $(LIBDIR)
$(LIBGAME):
	@$(MAKE) -C $(LIBDIR)

$(ICON):
	$(BMP2ICO) -transparent $(ICONBASE).ico $(ICON32X32)
	echo "$(ICONBASE) ICON $(ICONBASE).ico" | $(WINDRES) -o $(ICON)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean-obj:
	$(MAKE) -C $(LIBDIR) clean
	$(RM) $(OBJS)
	$(RM) $(LIBGAME)

clean-ico:
	$(RM) $(ICONBASE).ico
	$(RM) $(ICONBASE).o

clean-bin:
	$(RM) $(PROGNAME)
	$(RM) ../*.exe

clean: clean-obj clean-ico clean-bin


#-----------------------------------------------------------------------------#
# development only stuff                                                      #
#-----------------------------------------------------------------------------#

dist-clean: clean-obj

depend:
	$(MAKE) -C $(LIBDIR) depend
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== src/libgame/Makefile ===
#=============================================================================#
# Makefile for Artsoft Retro-Game Library                                     #
# (c) 1994-2000 Holger Schemel, info@artsoft.org                              #
#=============================================================================#

SRCS =	system.c	\
	gadgets.c	\
	text.c		\
	sound.c		\
	pcx.c		\
	image.c		\
	random.c	\
	misc.c		\
	msdos.c		\
	x11.c		\
	sdl.c

OBJS =	system.o	\
	gadgets.o	\
	text.o		\
	sound.o		\
	pcx.o		\
	image.o		\
	random.o	\
	misc.o		\
	msdos.o		\
	x11.o		\
	sdl.o

LIBGAME = libgame.a


all: $(LIBGAME)

$(LIBGAME): $(OBJS)
	$(AR) cru $(LIBGAME) $(OBJS)
	$(RANLIB) $(LIBGAME)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)
	$(RM) $(LIBGAME)


#-----------------------------------------------------------------------------#
# development only stuff                                                      #
#-----------------------------------------------------------------------------#

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
mirrormagic (2.0.2.0deb1-13) unstable; urgency=medium

  * Standards-Version: 3.9.8
  * Fix /var/games/mirrormagic permissions at build time only for
    binary (arch-dependent) build. Thanks Santiago Vila. Closes: #806077.
  * Debian source now hosted on git.debian.org (under collab-main),
    http://anonscm.debian.org/git/collab-maint/mirrormagic.git/

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Jul 2016 16:08:52 +0800

mirrormagic (2.0.2.0deb1-12) unstable; urgency=medium

  * enable build under gcc 5. mirrormagic predates the GNU11 standard
    for gcc, so build with -std=gnu89 (patch 10-gcc5.patch). Thanks
    Thavatchai Makphaibulchoke. Closes: #778008.
  * Convert Debian packaging to simple dh (debhelper>9) with source
    format 3.0 (quilt).
  * Apply hardening flags and harden code (patches
    11-harden_buildflags.patch and 30_harden_code.patch)
  * Build-Depends: libxt-dev (for X11/Intrinsic.h, used in libgame/x11.h)
  * Standards-Version: 3.9.6

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Jul 2015 21:21:49 +0800

mirrormagic (2.0.2.0deb1-11) unstable; urgency=low

  * New Brazilian (Portuguese) debconf translation.
    Thanks Adriano Rafael Gomes. Closes: #693383.

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Nov 2012 16:18:46 +1100

mirrormagic (2.0.2.0deb1-10) unstable; urgency=low

  * Add new debconf translations and refresh old ones.
    Thanks Christian Perrier.
    - Danish translation. thanks Joe Dalton. Closes: #628227.
    - Polish translation, thanks Michał Kułach. Closes: #658605.
    - Italian translation, thanks Beatrice Torracca. Closes: #659142.
  * Standards-Version: 3.9.3.

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Mar 2012 23:32:16 +1100

mirrormagic (2.0.2.0deb1-9) unstable; urgency=low

  * Russian debconf translation. Спасибо Юрию Козлову. Closes: #541755.
  * Deleted dh_desktop from debian/rules (now deprecated).
  * Standards-Version: 3.8.3.

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Sep 2009 14:56:58 +1000

mirrormagic (2.0.2.0deb1-8) unstable; urgency=low

  * In src/libgame/gadgets.c, check for 64bit when handling
    GDI_TYPE,GDI_STATE in HandleGadgetTags() and use int instead of
    unsigned long.  Should probably really be uint32_t but I'll leave
    that decision to upstream. Thanks Pelle Nilsson (and son).
    64bit check borrowed from bug #496863.  Closes: #498912.
  * Add desktop file. Thanks Daniel Dickinson. Closes: #478924.
  * Create icon (mirrormagic.xpm) from MirrorScreen.pcx.
  * Standards-Version: 3.8.0.
  * Add Holger's copyright tag to debian/copyright to keep lintian happy.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Feb 2009 01:03:44 +1100

mirrormagic (2.0.2.0deb1-7) unstable; urgency=low

  * Add Portuguese debconf translation. Closes: #423689.
  * Standards version 3.7.3.
  * Create debian/compat (for debhelper v6) (don't use DH_COMPAT in
    debian/rules).
  * Create explicit reference to usr/share/games/mirrormagic/music in
    debian/mirrormagic-data.dirs and remove reference in .install to
    underline that empty music directory is to be installed.  Music
    files were declared non-free and removed in 2.0.2.0deb1-1, but
    might be reinstated by hand (or free replacements created).

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Apr 2008 22:46:07 +1000

mirrormagic (2.0.2.0deb1-6) unstable; urgency=low

  * Removing circular dependency by popular demand.  Closes: #339905.
  * Consequently mirrormagic-data needs it own near-empty doc directory.

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Jan 2006 14:26:05 +1100

mirrormagic (2.0.2.0deb1-5) unstable; urgency=low

  * Czech debconf translation. Thanks Miroslav Kure. Closes: #317666.
  * Swedish translation thanks to Daniel Nylander. Closes: #332361.
  * Updated build-dependency from xlibs-dev to libx11-dev.
  * Standards version 3.6.2.

 -- Drew Parsons <dparsons@debian.org>  Thu,  6 Oct 2005 12:12:48 +1000

mirrormagic (2.0.2.0deb1-4) unstable; urgency=low

  * Vietnamese debconf translation. Thanks, Clytie Siddall. Closes: #312790.

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Jun 2005 22:04:39 +1000

mirrormagic (2.0.2.0deb1-3) unstable; urgency=low

  * Commented out joystick[] in main.h. It's not used, and it prevents gcc4
    compiling on amd64.  Funny, what was it doing there? 
    Thanks Andreas Jochens. Closes: #300255.

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Mar 2005 10:08:08 +1100

mirrormagic (2.0.2.0deb1-2) unstable; urgency=medium

  * Added Japanese debconf translation. Thanks, Hideki Yamane.
    Closes: #288038.
  * Restored permissions (root:games, setgid) to /usr/games/mirrormagic,
    /var/games/mirrormagic.
  * Use DH_COMPAT=4 in debian/rules, create mirrormagic-data deb in
    build-indep.  Closes: #241065.

 -- Drew Parsons <dparsons@debian.org>  Sat,  1 Jan 2005 20:52:46 +1100

mirrormagic (2.0.2.0deb1-1) unstable; urgency=low

  * Debian revision of upstream source: removed the five music files
    from the music directory, until clear legal permission for
    distributing those sound loops can be obtained. You can add your own
    sound loops to the music directory if you like.  Closes: #229747.
  * Converted changelog from iso-8859-1 to UTF-8.

 -- Drew Parsons <dparsons@debian.org>  Sun,  8 Aug 2004 12:07:46 +1000

mirrormagic (2.0.2-5) unstable; urgency=low

  * Added Conflicts/Replaces: mirrormagic (<<2.0.2-4) to control entry for
    mirrormagic-data. Closes: #237528, #237530.
  * Added Catalan debconf translation. Closes: #236661.

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Mar 2004 22:39:46 +1100

mirrormagic (2.0.2-4) unstable; urgency=low

  * Updated the French debconf translation.  Closes: #233502.
  * Split data files into mirrormagic-data.  Closes: #233414.
  * Please be advised that some Dreadful Allegations have been raised
    concerning the legality of distributing music samples used in the game
    (see bug #229747).  We are working with the upstream author to resolve


=== debian/control ===
Source: mirrormagic
Section: games
Priority: optional
Maintainer: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper (>= 9), libx11-dev, libxt-dev, libsdl-image1.2-dev (>= 1.2.0-1.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), libsdl1.2-dev (>= 1.2.2-3.1)
Standards-Version: 3.9.8
Homepage: http://www.artsoft.org/mirrormagic/
Vcs-Git: git://anonscm.debian.org/collab-maint/mirrormagic.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mirrormagic.git

Package: mirrormagic
Architecture: any
Depends: mirrormagic-data, ${shlibs:Depends}, ${misc:Depends}
Conflicts: suidmanager (<< 0.50)
Description: Shoot around obstacles to collect energy using your beam.
 A game like "Deflektor" (C 64) or "Mindbender" (Amiga).
 The goal is to work out how to get around obstacles to shoot
 energy containers with your beam, enabling the path to the
 next level to be opened. Included are many levels known from
 the games "Deflektor" and "Mindbender".
 .
 Some features:
        - stereo sound effects and music
        - music module support for SDL version (Unix/Win32)
        - fullscreen support for SDL version (Unix/Win32)
        - complete source code included under GNU GPL

Package: mirrormagic-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: suidmanager (<< 0.50), mirrormagic (<< 2.0.2-4)
Description: Data files for mirrormagic
 This package provides the architecture-independent data files (images,
 levels, sound samples) for mirrormagic.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 
#	dh_installman -pmirrormagic debian/mirrormagic.6

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_fixperms-arch:
	dh_fixperms
# dh_fixperms ought to recognise games and set permissions accordingly,
# but it doesn't.
	chown root:games debian/mirrormagic/usr/games/mirrormagic
	chmod g+s debian/mirrormagic/usr/games/mirrormagic
	chown -R root:games debian/mirrormagic/var/games/mirrormagic
# need group write permission to record high scores in /var/games/mirrormagic
	chmod -R g+rws debian/mirrormagic/var/games/mirrormagic

## mirrormagic 3.0.0%2Bdfsg2

=== debian/changelog ===
mirrormagic (3.0.0+dfsg2-1) unstable; urgency=medium

  * New upstream version. Closes: #906262.
    - README file is now dropped. Closes: #160266.
    - can drop all debian/patches
    - Build-Depends: libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev
    - includes network play (Build-Depends: libsdl2-net-dev)
  * create debian/watch, repacking for dfsg.
  * add Files-Excluded to debian/copyright:
    - music/*/*. Copyright in upstream music files is uncertain, in
      fact mod.lk strings say "please don't use".
    - mirrormagic. We'll repack the source tarball to remove music
      anyway, so might as well drop upstream's binary executable at
      the same time.
    - lib/*. Don't include libSDL2 and other library files in source
      tarball.
  * use debian patch dfsg_music_empty_dir.patch to provide empty music
    directory
  * debian/control: update Vcs tags to salsa.debian.org
  * drop high scores permissions fix from mirrormagic.postinst
    (all installations should now be fixed at this point, and chmod -R
    presents a security risk)
  * mirrormagic-data: remove redundant Depends: ${shlibs:Depends}
  * Standards-Version: 4.2.1
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Sep 2018 02:36:26 +0800
